Article Actor
the Article Actor API
an identifier
successful operation
Article-Actor-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Artikelnummer
Referenced Account Address
Referenced Account
Anzeigename des Accounts
Name der Zusatzadresse
Typ des Akteurs
Resource with given ID was not found
GET /erp/article-actors/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": 1,
"articleNumber": "text",
"accountAddressId": 1,
"accountId": 1,
"accountDisplayName": "text",
"accountAddressName": "text",
"type": "ECONOMIC_OPERATOR"
}an identifier
Article-Actor-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Artikelnummer
Referenced Account Address
Referenced Account
Anzeigename des Accounts
Name der Zusatzadresse
Typ des Akteurs
successful operation
Article-Actor-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Artikelnummer
Referenced Account Address
Referenced Account
Anzeigename des Accounts
Name der Zusatzadresse
Typ des Akteurs
Resource was not found
Resource was not valid to process
PUT /erp/article-actors/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"articleId": 1,
"accountAddressId": 1,
"type": "ECONOMIC_OPERATOR"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": 1,
"articleNumber": "text",
"accountAddressId": 1,
"accountId": 1,
"accountDisplayName": "text",
"accountAddressName": "text",
"type": "ECONOMIC_OPERATOR"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/article-actors/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Article-Actor-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Artikelnummer
Referenced Account Address
Referenced Account
Anzeigename des Accounts
Name der Zusatzadresse
Typ des Akteurs
successful operation
Article-Actor-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Artikelnummer
Referenced Account Address
Referenced Account
Anzeigename des Accounts
Name der Zusatzadresse
Typ des Akteurs
Resource was not valid to process
POST /erp/article-actors HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"articleId": 1,
"accountAddressId": 1,
"type": "ECONOMIC_OPERATOR"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": 1,
"articleNumber": "text",
"accountAddressId": 1,
"accountId": 1,
"accountDisplayName": "text",
"accountAddressName": "text",
"type": "ECONOMIC_OPERATOR"
}Last updated
Was this helpful?